Bug 688953 - /var/cache/abrt-di/ confuses GDB by stale debug info
Summary: /var/cache/abrt-di/ confuses GDB by stale debug info
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-18 16:06 UTC by Jan Kratochvil
Modified: 2015-02-01 22:53 UTC (History)
8 users (show)

Fixed In Version: abrt-2.0.1-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-26 16:18:09 UTC


Attachments (Terms of Use)

Description Jan Kratochvil 2011-03-18 16:06:23 UTC
Description of problem:
For example Bug 680645 displays a backtrace where /var/cache/abrt-di/ contains stale debug info and GDB corrupts the backtrace as moreover ABRT runs GDB in a non-build-id way.

Version-Release number of selected component (if applicable):
One such case I see is: abrt version: 1.1.17

Actual results:
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libfreebl3.so.debug" does not match "/lib64/libfreebl3.so" (CRC mismatch).

Expected results:
If a debug info does not match a non-matching one should never be loaded.

Additional info:
From the GDB commandline executed by ABRT:
-ex 'set debug-file-directory /usr/lib/debug:/var/cache/abrt-di/usr/lib/debug' -ex 'file /usr/bin/compiz' -ex 'core-file /var/spool/abrt/ccpp-1296783844-1670/coredump'

By specifying explicitly `file' you turn off the `set build-id-core-loads' mode.
There should not be any `file' command - this may require fixing Bug 641377 first, the patch is there available.

Comment 1 Fedora Update System 2011-03-27 17:34:44 UTC
abrt-2.0.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-1.fc15

Comment 2 Fedora Update System 2011-03-29 19:59:36 UTC
abrt-2.0.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15

Comment 3 Fedora Update System 2011-03-30 02:30:53 UTC
Package abrt-2.0.0-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.0-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/abrt-2.0.0-2.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-30 16:47:19 UTC
abrt-2.0.0-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-3.fc15

Comment 5 Fedora Update System 2011-04-04 14:06:57 UTC
abrt-2.0.0-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-4.fc15

Comment 6 Fedora Update System 2011-04-15 15:06:52 UTC
abrt-2.0.0-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.0-5.fc15

Comment 7 Fedora Update System 2011-04-20 13:28:28 UTC
abrt-2.0.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-1.fc15

Comment 8 Fedora Update System 2011-04-21 16:43:13 UTC
abrt-2.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/abrt-2.0.1-2.fc15

Comment 9 Fedora Update System 2011-04-26 16:10:29 UTC
abrt-2.0.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.